from .StoredProcedureOperation import StoredProcedureOperation
from ..Guid import Guid
from ..SQLParameter import SQLParameter
from ..SQLFunctionCall import SQLFunctionCall

class CreateInstanceOperation(StoredProcedureOperation):

	def __init__(self, globalIdentifier : Guid, classIndex : int, instanceIndex : int):
		self.globalIdentifier = globalIdentifier
		self.classIndex = classIndex
		self.instanceIndex = instanceIndex

	def get_sp_name(self):
		return 'mocha_create_instance'

	def get_sp_parameters(self):
		return [ self.globalIdentifier, self.classIndex, self.instanceIndex, None, None, SQLParameter('assigned_inst_id') ]
